;******************************************************************************
;  *   	@MCU   	   	   	   	 : MC30P6250
;  *   	@Create Date         : 2020.01.09
;  *   	@Author/Corporation  : Martin/SinoMCU
;  *   	@֧QQȺ   	  : 814641858      
;  *    @΢ٷ̳   	  : http://bbs.sinomcu.com/	 
;  *   	@Copyright           : 2020 SINOMCU Corporation,All Rights Reserved.
;  *----------------------Abstract Description---------------------------------    	
;  *           	   	   	 ⲿж   P10½شP12תһ
;******************************************************************************
#include "MC30P6250.INC"

cblock 0x0010
abuf
statusbuf
endc

   	ORG     0x0
   	goto   	MAIN
    ORG     0x8
   	goto   	INT_ISR	   	;ж

INT_ISR:
   	movra   abuf
   	swapar  STATUS
   	movra   statusbuf

   	JBSET  	INTIF
   	GOTO   	INT_END
   	JBSET  	INTIE
   	GOTO   	INT_END
    MOVAI  	00000100B
   	XORRA  	P1 	   	   	   	   	;P12 ת
   	BCLR   	INTIF
INT_END:

   	swapar  statusbuf
   	movra   STATUS
   	swapr   abuf
   	swapar  abuf
   	
END_OF_INTERRUPT
   	RETIE  	


MAIN:

   	CALL   	SYS_INIT
WHILE_LOOP:
   	GOTO   	WHILE_LOOP
   	RETURN 	
; exit point of MIAN


SYS_INIT:
   	BCLR   	GIE
   	CALL   	CLR_RAM
   	CALL   	IO_INIT
   	CALL   	INT_INIT
   	BSET   	GIE
   	RETURN 	
; exit point of SYS_INIT


INT_INIT:

   	CLRR   	T0CR                    ;½ش
   	MOVAI  	0x01
   	MOVRA  	DDR1                    ;in
   	MOVAI  	0xfe
   	MOVRA  	PUCON                   ;                 
   	BSET   	EIS                    ;ⲿжԴЧ
   	BSET   	INTIE                  ;ⲿжʹ
   	RETURN 	    
; exit point of INT_INIT


IO_INIT:

   	CLRR   	P1                      ;1:input 0:output
   	CLRR  	DDR1                    ;1:input 0:output
   	MOVAI  	0xff
   	MOVRA  	PUCON                   ;0:Effective 1:invalid
   	MOVRA  	PDCON                   ;0:Effective 1:invalid
   	CLRR   	ODCON                   ;0:  1:©
   	RETURN 	
; exit point of IO_INIT


CLR_RAM:

   	movai 0x40
   	movra FSR
   	movai 48
   	movra 0x07
   	decr FSR
   	clrr INDF
   	djzr 0x07
   	goto $ -3;
   	clrr 0x07
   	
   	RETURN 	
; exit point of CLR_RAM


   	end



